Subscribe for automatic updates: RSS icon RSS

Login icon Sign in for full access | Help icon Help
Advanced search

Pages: [1]
  Reply  |  Print  
Author Topic: [ANNOUNCE] Genero 2.20 now available  (Read 4425 times)
Christine R.
Four Js
Posts: 292


« on: April 16, 2009, 04:58:01 pm »


   Genero 2.20
   New release


     Four J's is pleased to announce the new Release of Genero 2.20.
     The packages are now available on the web site https://4js.com/.

     It includes the following packages:
  • FGL 2.20.04 build 1369.1
  • FGLGWS 2.20.04 build 68991
  • GDC 2.20.10 build 1974
  • GAS 2.20.06 build 68965
  • FLM 5.10.3u build 403

     You can find a full product description of this new release at the following URL :
       https://4js.com/templates/en/1/affiche.php?idparent=6_1&id=268

     Best regards,

     Four J's Development Tools
yves v.
Posts: 6


« Reply #1 on: April 16, 2009, 06:02:54 pm »


Is Genero 2.20 a major version, that we will have to re-license the product again.

Or  installable via 'Update installation'  in same directory  ?
Christine R.
Four Js
Posts: 292


« Reply #2 on: April 16, 2009, 06:09:41 pm »

Hello Mr Vallet,

Yes Genero 2.20 is a Major Release.
But you can install it in the same directory as an existing version and add your maintenance key if you are on Unix.
Refer to the following FAQ for the installation of the maintenance key :
https://4js.com/fjs_faq/?c=37#415

If you are on Windows, it is better to uninstall the old version before installing a new version in the same directory.

But do not hesitate to contact your local support center if you need any further assistance for the installation of the product.

Best regards,

Christine HEIM
Four J's Support Team
Sebastien F.
Four Js
Posts: 465


« Reply #3 on: April 16, 2009, 06:12:00 pm »

Note that you must recompile your forms and programs, as recommended for all major version upgrades.
Seb
Reuben B.
Four Js
Posts: 845


« Reply #4 on: April 20, 2009, 12:28:18 am »

We should also point out that when looking at a major release, you should ...

read the known migration issues https://4js.com/online_documentation/fjs-fgl-2.20.01-manual-html/User/Mig0004.html (read the earlier migration notes too if you are skipping a release)

check your operating system is supported http://www-eu1.4js.com/mirror/documentation.php?s=genero&f=fjs-genero-2.20.XX-SystemSupport.pdf

and of course look at the new features https://4js.com/online_documentation/fjs-fgl-2.20.01-manual-html/User/NewFeatures.html

I've listed the Genero links above, equivalent links for other products (GDC, GAS etc) can be found
https://4js.com/support/download.php?view=manuals

Reuben

Register for WWDC 21 at https://4js.com/wwdc21online/

Product Consultant (Asia Pacific)
Developer Relations Manager (Worldwide)
Author of https://4js.com/ask-reuben
Contributor to https://github.com/FourjsGenero
Jeroni C.
Posts: 16


« Reply #5 on: April 20, 2009, 12:18:13 pm »

Will there be a package for glibc 2.2? Or will no longer be supported?

Regards,
Jeroni
Olivier E.
Four Js
Posts: 165


« Reply #6 on: April 20, 2009, 04:48:12 pm »

Hello Jeroni,



Yes it will no longer be supported.

Sorry but Four J's stopped to support glibc 2.2 in Genero 2.11 too.

Because Glibc 2.2 is no longer supported by RedHat Enterprise edition and Suse Enterprise edition. Therefore Four J's stopped the support of glibc 2.2 packages too.


Does it answer your question ?


Thank you and regards,

Olivier ECKERT - Four J's Development Tools
Jeroni C.
Posts: 16


« Reply #7 on: April 20, 2009, 05:15:36 pm »

Hello Olivier,

Thanks for your reply, it answer my question.

Up to 2.11.05 there are a glibc 2.2 package, this is not a real problem but makes our upgrade path more difficult because several of our customers have a glibc 2.2 system and we have to upgrade the s.o. first.

Regards,
Jeroni
Pages: [1]
  Reply  |  Print  
 
Jump to:  

Powered by SMF 1.1.21 | SMF © 2015, Simple Machines